Groovy 1.7.0

## org.codehaus.groovy.antlr.treewalker
Class FlatNodeListTraversal

    java.lang.Object
      org.codehaus.groovy.antlr.treewalker.TraversalHelper
          org.codehaus.groovy.antlr.treewalker.FlatNodeListTraversal

    class FlatNodeListTraversal
    extends TraversalHelper

A simple iterator over an ordered (flat) List of the nodes of the AST.

author:
  Jeremy Rayner

version:
  $Revision: 3626 $

Field Summary

Fields inherited from class TraversalHelper
unvisitedNodes

Constructor Summary
`FlatNodeListTraversal(Visitor visitor)`

Method Summary
`protected void` | `accept(GroovySourceAST currentNode)`
`AST` | `process(AST t)`

Methods inherited from class TraversalHelper

accept, acceptChildren, acceptSiblings, accept_FirstChild_v_RestOfTheChildren, accept_FirstChild_v_RestOfTheChildren_v, accept_FirstChild_v_RestOfTheChildren_v_LastChild, accept_FirstChild_v_SecondChild, accept_FirstChild_v_SecondChild_v, accept_FirstChild_v_SecondChild_v_ThirdChild_v, accept_FirstChild_v_SecondChildsChildren_v, accept_FirstSecondAndThirdChild_v_v_ForthChild, accept_SecondChild_v_ThirdChild_v, accept_v_AllChildren_v, accept_v_AllChildren_v_Siblings, accept_v_FirstChild_2ndv_SecondChild_v___LastChild_v, accept_v_FirstChild_SecondChild_v_ThirdChild_v, accept_v_FirstChild_v, accept_v_FirstChild_v_RestOfTheChildren, accept_v_FirstChild_v_RestOfTheChildren_v, accept_v_FirstChild_v_SecondChild_v___LastChild_v, accept_v_FirstChildsFirstChild_v_Child2_Child3_v_Child4_v___v_LastChild, accept_v_FirstChildsFirstChild_v_RestOfTheChildren, accept_v_Siblings_v, closingVisit, openingVisit, pop, process, push, secondVisit, setUp, skip, subsequentVisit, tearDown, visitNode

Methods inherited from class Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Constructor Detail

### FlatNodeListTraversal

    public FlatNodeListTraversal(Visitor visitor)

Method Detail

### accept

    protected void accept(GroovySourceAST currentNode)

### process

    public AST process(AST t)

Copyright © 2003-2009 The Codehaus. All rights reserved.